/**
 * Region exit script.
 * <BR>Copyright (c) Nihilistic Software, Inc. 1998-1999
 *
 * * 22/07/00 Yith Modified stcommand to add "stcmd [unlock|lock] <location#> <exit#>" command
*/

public class RegionExit extends Codex
{
	private int _exitNumber;
	public static String _params[] = {"Exit number;0"};
	private String		_locationName = "";
	private int			_locationNum=0;

	public RegionExit(int exitNumber)
	{
		_exitNumber = exitNumber;
	}
	
	public void beginscene(int clientGuid, int captureID)
	{
		CodexThing playerThing = new CodexThing(clientGuid);
		_locationNum = playerThing.GetLocationNum();
		_locationName=CodexSequence.GetLocationName(_locationNum);		
	}
	
	public void entered(int guid, int causeGUID, int captureID)
	{
		if(IsPlayerGuid(causeGUID))
		{
			if(!CodexSequence.IsExitClosed(_locationName, _exitNumber))
			{
				CodexSequence.TakeExit(_exitNumber, causeGUID);
			}
			else
			{
				// sound indicating this exit is locked
				new CodexSound("locked_large_02.WAV", 300, 600, 100, 0, 0, causeGUID);

				// display locked message
				CodexConsole.PrintNLS(causeGUID, 0, "GEN_DOORLOCKED");
			}
		}
		
	}
	
	public void stcommand(String blah, int locationIndex, float exitNum, float p1, float p2, float p3)
	{
		if(blah.equalsIgnoreCase("unlock"))
 		{
			int location=0;
			if (locationIndex==99)
				location=_locationNum;
			else 
				location=locationIndex;
			LockExit.LockUnlockExit(location,(int)exitNum,false);
 		}
 		else if (blah.equalsIgnoreCase("lock"))
 		{
			CodexConsole.Print(0,0,"lock:"+locationIndex+","+exitNum);
			int location=0;
			if (locationIndex==99)
				location=_locationNum;
			else 
				location=locationIndex;
			LockExit.LockUnlockExit(location,(int)exitNum,true);
		}		
	}
	
	public void stcommand2(String blah)
	{
		CodexConsole.Print(0, CONSOLEPRINT_FLAG_SERVERCONSOLE, "Param: " + blah, 0xFFFFFF);	
	}

}
